var parse = require('./').parse;
var serialize = require('serialize-js');

var tests = [
    "export default function () {}",
    "export default function f() {}",
    "export default class {}",
    "export default class A {}"
];

function fix(obj) {
  if (typeof obj !== "object" || obj === null) return;
  delete obj.start;
  delete obj.end;
  delete obj.raw;
  for (var prop in obj) {
    fix(obj[prop]);
  }
}

tests.forEach(function (test) {
  var opts = {
    ecmaVersion: 6,
    ranges: true
  };
  try {
    var ast = parse(test, opts);
    fix(ast);
    console.log('test(' + serialize(test) + ", " + serialize(ast) + ", " + serialize(opts) + ");\n");
  } catch (e) {
    if (!(e instanceof SyntaxError)) throw e;
    console.log('testFail(' + serialize(test) + ", " + serialize(e.message) + ", " + serialize(opts) + ');\n');
  }
});
